/***************************************************************************/
/* dumpsexp.h								   */
/*									   */
/* Debug routine to dump the parsed S-expression to stderr.		   */
/***************************************************************************/

#ifndef _DUMPSEXP_H_
#define _DUMPSEXP_H_

/***************************************************************************/
/* d_bytes								   */
/*									   */
/* Dump a byte string, b, with no end of line.				   */
/***************************************************************************/

void d_bytes( FILE *f, pBytes b, int n ) ;

/***************************************************************************/
/* d_sexp								   */
/*									   */
/* Dump the S-expression, s, with indentation, ind.			   */
/***************************************************************************/

void d_sexp( FILE *f, pSexp s, int ind ) ;

/***************************************************************************/
/* xml_sexp								   */
/*									   */
/* Dump the S-expression, s, with indentation, ind, as XML. 		   */
/***************************************************************************/

void xml_sexp( FILE *f, pSexp s, int ind ) ;

#endif /* _DUMPSEXP_H_ */
